Bug 1504713 - Move planet build to be triggered by Jenkins
Summary: Move planet build to be triggered by Jenkins
Keywords:
Status: NEW
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-20 13:09 UTC by M. Scherer
Modified: 2019-08-31 17:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description M. Scherer 2017-10-20 13:09:59 UTC
Right now, planet.gluster.org is built on webbuilder.int.gluster.org. It occured to me that using Jenkins would increase transparency, I have submitted some change for that upstream (aka, the OSAS repo):

https://github.com/OSAS/ansible-role-web_builder/pull/19

Then gluster side, we would just need to add the ssh key of jenkins on the builder, and have it run the script when the repository is change and/or on a regular cadence.

Then in turn, this would let people look from time to time to the log and see if there is issues.

Comment 1 M. Scherer 2017-10-20 13:12:53 UTC
I also wonder if we could integrate jenkins with github, to replace the travis build. It tend to change underneat us and may surprise users.

Ideally, I also would like a system that open ticket when a feed fail for too long.

Comment 2 sankarshan 2019-05-27 01:52:40 UTC
(In reply to M. Scherer from comment #1)
> I also wonder if we could integrate jenkins with github, to replace the
> travis build. It tend to change underneat us and may surprise users.
> 
> Ideally, I also would like a system that open ticket when a feed fail for
> too long.

Is this now in place? The last time I checked with Deepshikha, there was a refrain of the cron behind the planet scripts failing randomly.

Comment 3 M. Scherer 2019-06-12 11:02:21 UTC
Nope, nothing changed. That's kinda a lower priority, since the system work well enough most of the time, and has a rather low impact.


Note You need to log in before you can comment on or make changes to this bug.